# python/rpmmi-py.c File Reference

`#include "system.h"`
`#include <rpmio.h>`
`#include <rpmcb.h>`
`#include <rpmdb.h>`
`#include <rpmlib.h>`
`#include "rpmmi-py.h"`
`#include "header-py.h"`
`#include "debug.h"`
Include dependency graph for rpmmi-py.c:

Go to the source code of this file.

## Functions

static PyObject * | rpmmi_iter (rpmmiObject *s)
static PyObject * | rpmmi_iternext (rpmmiObject *s)
static PyObject * | rpmmi_Next (rpmmiObject *s)
static void | rpmmi_dealloc (rpmmiObject *s)
static PyObject * | rpmmi_getattro (PyObject *o, PyObject *n)
static int | rpmmi_setattro (PyObject *o, PyObject *n, PyObject *v)
rpmmiObject * | rpmmi_Wrap (rpmdbMatchIterator mi)
Class: Rpmmi
static PyObject * | rpmmi_Instance (rpmmiObject *s)
static PyObject * | rpmmi_Count (rpmmiObject *s)
static PyObject * | rpmmi_Pattern (rpmmiObject *s, PyObject *args, PyObject *kwds)

## Variables

static struct PyMethodDef | rpmmi_methods []
static char | rpmmi_doc []
PyTypeObject | rpmmi_Type

## Detailed Description

Definition in file rpmmi-py.c.

## Function Documentation

static PyObject* rpmmi_Count | ( | rpmmiObject * | s | ) | `[static]`

Definition at line 136 of file rpmmi-py.c.

References rpmmiObject_s::mi, and rpmdbGetIteratorCount().

static PyObject* rpmmi_getattro | ( | PyObject * | o,
|  | PyObject * | n |
| ) |  |  | `[static]`

Definition at line 210 of file rpmmi-py.c.

static PyObject* rpmmi_Instance | ( | rpmmiObject * | s | ) | `[static]`

Definition at line 121 of file rpmmi-py.c.

References rpmmiObject_s::mi, and rpmdbGetIteratorOffset().

static PyObject* rpmmi_iter | ( | rpmmiObject * | s | ) | `[static]`

Definition at line 69 of file rpmmi-py.c.

static PyObject* rpmmi_iternext | ( | rpmmiObject * | s | ) | `[static]`

Definition at line 80 of file rpmmi-py.c.

References hdr_Wrap(), rpmmiObject_s::mi, rpmdbFreeIterator(), and rpmdbNextIterator().

Referenced by rpmmi_Next().

static PyObject* rpmmi_Next | ( | rpmmiObject * | s | ) | `[static]`

Definition at line 97 of file rpmmi-py.c.

References rpmmi_iternext().

static PyObject* rpmmi_Pattern | ( | rpmmiObject * | s,
|  | PyObject * | args,
|  | PyObject * | kwds |
| ) |  |  | `[static]`

Definition at line 151 of file rpmmi-py.c.

References rpmmiObject_s::mi, rpmdbSetIteratorRE(), and tagNumFromPyObject().

static int rpmmi_setattro | ( | PyObject * | o,
|  | PyObject * | n,
|  | PyObject * | v |
| ) |  |  | `[static]`

Definition at line 216 of file rpmmi-py.c.

## Variable Documentation

char rpmmi_doc[]`[static]`

Initial value:

    ""

Definition at line 225 of file rpmmi-py.c.